%global git_date 20150625
%global git_commit_hash 4d6a7dfd3e53f3edc2508c078c309eccd44cc8f3

Name: doxy2man
Version: 0
Release: 3.%{git_date}git%{?dist}
Summary: Create man pages from doxygen XML output

Group: Development/Tools
License: GPLv3+
URL: https://github.com/gsauthof/doxy2man
Source0: https://github.com/gsauthof/%{name}/archive/%{git_commit_hash}/%{git_commit_hash}.tar.gz#/%{name}-%{git_commit_hash}.tar.gz

BuildRequires: asciidoc
BuildRequires: libxslt
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtxmlpatterns-devel

%description
Doxy2man takes the XML generated by Doxygen as input and creates several
man pages from that. It creates a summary man page for a header and for
each function a detailed man page. The output is optimized for C projects.
It supports the most common doxygen features, e.g. implicit and explicit
see also tags, copyright, author information, brief and detailed
descriptions, etc.

%prep
%setup -qn %{name}-%{git_commit_hash}

%build
%{qmake_qt5}
make %{?_smp_mflags}
make %{?_smp_mflags} doxy2man.8


%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 doxy2man %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8/
install -p -m 644 doxy2man.8 %{buildroot}%{_mandir}/man8

%files
%{_bindir}/doxy2man
%{_mandir}/man8/doxy2man.8.gz
%license COPYING

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-3.20150625git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Rex Dieter <rdieter@fedoraproject.org> 0-2.20150625git
- use %%qmake_qt5 macro to ensure proper build flags

* Thu Jun 25 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0-1.20150625git
- Updated to latest version to include license from upstream

* Wed Jun 24 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0-1.20150624git
- Updated to include manpage from upstream

* Tue Jun  9 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0-1.20150609git
- Initial version of the package
